## org.eclipse.jst.ws.annotations.core.initialization
Class AnnotationAttributeInitializer

    java.lang.Object
      org.eclipse.jst.ws.annotations.core.initialization.AnnotationAttributeInitializer

All Implemented Interfaces:
  IAnnotationAttributeInitializer

Direct Known Subclasses:
  DefaultsAnnotationAttributeInitializer

    public abstract class AnnotationAttributeInitializer

extends java.lang.Object
implements IAnnotationAttributeInitializer

Abstract base class for initializers contributed to the `org.eclipse.jst.ws.annotations.core.annotationInitializer` extension point.

Provides default implementations for all methods.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Method Summary
`java.util.List<org.eclipse.jface.text.contentassist.ICompletionProposal>` `getCompletionProposalsForMemberValuePair(org.eclipse.jdt.core.IJavaElement javaElement, org.eclipse.jdt.core.dom.MemberValuePair memberValuePair)` Used to provide a list of `ICompletionProposal` for a `MemberValuePair` value.
`java.util.List<org.eclipse.jface.text.contentassist.ICompletionProposal>` `getCompletionProposalsForSingleMemberAnnotation(org.eclipse.jdt.core.IJavaElement javaElement, org.eclipse.jdt.core.dom.SingleMemberAnnotation singleMemberAnnotation)` Used to provide a list of `ICompletionProposal` for a `SingleMemberAnnotation` value.
`java.util.List<org.eclipse.jdt.core.dom.MemberValuePair>` `getMemberValuePairs(org.eclipse.jdt.core.IJavaElement javaElement, org.eclipse.jdt.core.dom.AST ast, java.lang.Class<? extends java.lang.annotation.Annotation> annotationClass)` Deprecated. as of 1.1 replaced by `getMemberValuePairs(IJavaElement, AST, IType)`
`java.util.List<org.eclipse.jdt.core.dom.MemberValuePair>` `getMemberValuePairs(org.eclipse.jdt.core.IJavaElement javaElement, org.eclipse.jdt.core.dom.AST ast, org.eclipse.jdt.core.IType type)` Returns a list of `MemberValuePair` that may be added to a `NormalAnnotation`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getMemberValuePairs

    @Deprecated
    public java.util.List<org.eclipse.jdt.core.dom.MemberValuePair> getMemberValuePairs(org.eclipse.jdt.core.IJavaElement javaElement,
                                                                                                   org.eclipse.jdt.core.dom.AST ast,
                                                                                                   java.lang.Class<? extends java.lang.annotation.Annotation> annotationClass)

  Deprecated. as of 1.1 replaced by `getMemberValuePairs(IJavaElement, AST, IType)`

  Description copied from interface: `IAnnotationAttributeInitializer`
  Returns a list of `MemberValuePair` that may be added to a `NormalAnnotation`.

  Specified by:
    `getMemberValuePairs` in interface `IAnnotationAttributeInitializer`
  Parameters:
    `javaElement` - the java element on which the annotation is declared.
    `ast` - the `AST` with which to create the member value pairs.
    `annotationClass` - the `Annotation` class which may be used to query the declared members of the annotation type and the members default values.
  Returns:
    a list of member value pairs.

### getMemberValuePairs

    public java.util.List<org.eclipse.jdt.core.dom.MemberValuePair> getMemberValuePairs(org.eclipse.jdt.core.IJavaElement javaElement,
                                                                                        org.eclipse.jdt.core.dom.AST ast,
                                                                                        org.eclipse.jdt.core.IType type)

  Description copied from interface: `IAnnotationAttributeInitializer`
  Returns a list of `MemberValuePair` that may be added to a `NormalAnnotation`.

  Specified by:
    `getMemberValuePairs` in interface `IAnnotationAttributeInitializer`
  Parameters:
    `javaElement` - the java element on which the annotation is declared.
    `ast` - the `AST` with which to create the member value pairs.
    `type` - the `IType` which represents an annotation type,.
  Returns:
    a list of member value pairs.
  Since:
    1.1

### getCompletionProposalsForMemberValuePair

    public java.util.List<org.eclipse.jface.text.contentassist.ICompletionProposal> getCompletionProposalsForMemberValuePair(org.eclipse.jdt.core.IJavaElement javaElement,
                                                                                                                             org.eclipse.jdt.core.dom.MemberValuePair memberValuePair)

  Description copied from interface: `IAnnotationAttributeInitializer`
  Used to provide a list of `ICompletionProposal` for a `MemberValuePair` value.

  Specified by:
    `getCompletionProposalsForMemberValuePair` in interface `IAnnotationAttributeInitializer`
  Parameters:
    `javaElement` - the java element on which the annotation is declared.
    `memberValuePair` - the member value pair in which content assist was invoked.
  Returns:
    a list of completion proposals.

### getCompletionProposalsForSingleMemberAnnotation

    public java.util.List<org.eclipse.jface.text.contentassist.ICompletionProposal> getCompletionProposalsForSingleMemberAnnotation(org.eclipse.jdt.core.IJavaElement javaElement,
                                                                                                                                    org.eclipse.jdt.core.dom.SingleMemberAnnotation singleMemberAnnotation)

  Description copied from interface: `IAnnotationAttributeInitializer`
  Used to provide a list of `ICompletionProposal` for a `SingleMemberAnnotation` value.

  Specified by:
    `getCompletionProposalsForSingleMemberAnnotation` in interface `IAnnotationAttributeInitializer`
  Parameters:
    `javaElement` - the java element on which the annotation is declared.
    `singleMemberAnnotation` - the single member annotation in which content assist was invoked.
  Returns:
    a list of completion proposals.